Modify

Opened 8 years ago

Closed 8 years ago

Last modified 22 months ago

#3941 closed defect (fixed)

ISC dhcpd init script

Reported by: isuzuki@… Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version:
Keywords: Cc:

Description

Hi,

Failure/success checking logic in ISC dhcpd init script is reversed.

Ichiro Suzuki (isuzuki@…)
Miracle Linux Corp.

--- packages/net/dhcp/files/dhcpd.init  (revision 12394)
+++ packages/net/dhcp/files/dhcpd.init  (working copy)
@@ -15,7 +15,7 @@
 
        /usr/sbin/dhcpd -q -cf $config_file -lf $lease_file
 
-       if [ $? -eq 0 ]; then
+       if [ $? -ne 0 ]; then
               echo "  isc-dhcpd failed to start"
        fi
 }
@@ -25,7 +25,7 @@
        if [ -e $pid_file ]; then
                kill `cat $pid_file`
 
-               if [ $? -eq 0 ]; then
+               if [ $? -ne 0 ]; then
                        echo "  PID " `cat $pid_file` not found
                        echo "  Is the DHCP server running?"
                fi

Attachments (0)

Change History (2)

comment:1 Changed 8 years ago by florian

  • Resolution set to fixed
  • Status changed from new to closed

Applied in [12425]

comment:2 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.